Index: Tst/Long/cyclic-sba_l.res.gz.uu
===================================================================
--- Tst/Long/cyclic-sba_l.res.gz.uu	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/cyclic-sba_l.res.gz.uu	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,22 @@
+begin 664 cyclic-sba_l.res.gz
+M'XL("`?&\D\``V-Y8VQI8RUS8F%?;"YR97,`M571;MHP%'WO5URA2@LM)(0`
+M`:HA=:Q3D:IV@NYA>ZD"N12OQHYL1Y1.^_==!VI"5];M87D)\3GW^')\;$]N
+M/XZN`2`<0!#`\2@]/IILAYH^N-^1;V$]3>ZT;[2!>AVX%/=@4!L-<ZDLYMBM
+M@IUKU*!FZQEG,\#'9)EQ&I@KN8319'(^?-?K0I9DJ%Q=NS1CQX>KT0>HT&P^
+M9]/*F4/B`=#@'1/,>-6S(_N&P0`V$]5MC]P7N/*U28PKZ@YVTKU"NI))OMZ7
+M#AL[5ACZD"DYV^H*CPD#3U4'DSL_W`?90X]E"'@/3SO!=@$H1E:-"8F:C494
+M\QZ]AN][HAY6J]5:FNWH\48GQ80#(_YF;D]4=Y1>02D>;0KA*8K9@LB5X=?A
+MU6A8KYQN@')9,RS*\#&3RGCC$A"5`58"MJVCR97PBCE*(#7ZTWV4O&WV]EU;
+MO+`M:I1LB\(#MD716[;5%GO&1>T7QBWD4MY[SKY:J?<H_A<'3ROURUU`HMX!
+M&UOA`1M;T1]L;+5+-K8Z.QM;U..+WIYC&%,Y;:Z3$QC*G*<@I($Y$RFD:Y$L
+M::=1HE6BUGW([C[32NB[3PQY.A(I9KZ6V]H+I6C/+E'KY!XW>U*OM<%E'P+R
+M#@-,4<V"7+!`829UH#-263'4&-QJ$_A^,*'N<IZHX-5Y^C!+A.U-9BA`+Q*%
+M*<CI=YS9=CGVX5J"SNFOV2^@9E*F")1JO6WQ61]6C'-82?5@DT7'!5_78)H;
+M6-IJS>4*E?]<@PAF@3"ZGMR>7UV!)D4F!46L&':2RT3DE!1[;J5H$L:U[ZRG
+M-.N,K#=SMUS;6,2.TQMLLS8_<VO6IL-C3@M%!Y#':F&M087?+L8W,+[X^&5X
+M.[JYGO0AZCAZN$\/WZ`WR_3&Z^IAW'7\:)__JGR9WQK``QF=<%[DBU)$<4*`
+M/MRC0)5P>U1:Q&[O`NH_%]A1L\ZPV%)]T%N7G71[<"#,"Z_KTDSY0,KQCG5R
+M\CLR=IJ=@ZO4K5\Z5OS:.G7_PIDX#AV_]]^<Z93NFPZ=(/9:L[=6KCWJZOCH
+)%Q?D)$2=!P``
+`
+end
Index: Tst/Long/cyclic-sba_l.stat
===================================================================
--- Tst/Long/cyclic-sba_l.stat	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/cyclic-sba_l.stat	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,4 @@
+1 >> tst_memory_0 :: schosch:-1633884048
+1 >> tst_memory_1 :: 1341310471:0- spielwiese :spielwiese:version:schosch:2705367040
+1 >> tst_memory_2 :: 1341310471:0- spielwiese :spielwiese:version:schosch:2713065856
+1 >> tst_timer_1 :: 1341310471:0- spielwiese :spielwiese:version:schosch:115561
Index: Tst/Long/cyclic-sba_l.tst
===================================================================
--- Tst/Long/cyclic-sba_l.tst	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/cyclic-sba_l.tst	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,51 @@
+// $Id$
+
+// sba_s.tst -- long tests for sba
+// uses rcyclic examples from ISSAC'98 paper
+
+LIB "tst.lib";
+tst_init();
+
+LIB"poly.lib";
+
+proc cyclicn(int z)
+{
+   int n = z;
+   ring R = 32003,(x(0..(n-1))),dp;
+   ideal i = cyclic(n);
+        string bench = "CYCLIC-"+string(n);
+   export(R);
+   export(i);
+   return(bench);
+}
+
+proc cyclicnh(int z)
+{
+   int n = z;
+   ring R = 32003,(x(0..(n-1)),h),dp;
+   ideal i = homog(cyclic(n),h);
+        string bench = "CYCLIC-"+string(n)+"-H";
+   export(R);
+   export(i);
+   return(bench);
+}
+
+string bench = cyclicn(7);
+sprintf(bench);
+ideal f; 
+f = sba(i,1,0);
+f = sba(i,1,1);
+f = sba(i,0,0);
+f = sba(i,0,1);
+killall;
+string bench = cyclicnh(8);
+sprintf(bench);
+ideal f; 
+f = sba(i,0,1);
+killall;
+
+tst_status(1);$
+LIB "poly.lib";
+killall();
+killall("proc");
+exit;
Index: Tst/Long/eco-sba_l.res.gz.uu
===================================================================
--- Tst/Long/eco-sba_l.res.gz.uu	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/eco-sba_l.res.gz.uu	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,28 @@
+begin 664 eco-sba_l.res.gz
+M'XL("%O8\D\``V5C;RUS8F%?;"YR97,`M599;^)($'[/KRBA2&L.'^4#8]@@
+MS68R&J0H687LRXQF(P>:X.!+;J.$K/:_;[6!;A/,3%[VA:..KZJ_ZJ^[I_>?
+M)S<`@&,P33B?S,_/ICN3;8#\[1C"S1_#!VZ4O`1=ASA+GZ!DO.2PR`KAD]%N
+M%;WFC$,QV\SB:`;L-4SRF`R+(DM@,IU^NOPM&$`>YJR0>5ZM8M^`Z\D?T*)J
+M1AP]MD;2XX^!C`]1&I5:>W0FOF$\!C;+=-%@;*3LQ>!E6,J,P5CA!A5N*\_B
+MS2$N6BH*T8"\R&8"--6BM(2T#?](;XT9I+4"B(@WN(!41X77%YXB(I;NR.78
+MEN7TM%?-,HRW=KLWSU7D0$3N_]G6'C'I/?=6,LJV*_N<A3%$REK5%ZL!!6A7
+MI7.JJMJQJR(T*2VYL$;)[Q=ONCU*NMW:NIRJ\C8Q[[QJ29L^WMH2PK&W_A7Y
+M+65UMU8!_7R1=''T+,#IZQ"\OPW;P4,77K65*/#\OLI@'[CJ=J75W?7VKS38
+MM69!!XTJMT>*1G?75O2='#]$D,+JJU1%D%O5E?C>=@S?::0_@`*I1QVWK>KU
+M=CU[S[6BQ'./N,9W7'M]XQT920WSL)6^9=0B5<=]>]?BX?+ZKMJ>?<DZ`"^K
+MS?C(TMF2$EI7E[=ZJ[NU:F^"/9E5U6>O>5:46J3LOE6SW]7L-4'XU=H+5JZ+
+M5*MJU>*H&[DJWU=Z\P<UO2V/!.<'"G^`IP0W<'XBN-[R0'(#KRZY@=\LN4'0
+M)+D`&R07.,>2"[Q?2B[P&R7762J0H$%T:.%'1(>6\S'1H>4UB`XM_U!T:`4-
+MHNLL_W:4\!#QE/`0G0;A(7KUW8[H_U1X5,U6J<&1^-#&7XD/;<=X1XH2']J'
+M[=A^77Q+%18TB0\=E%L5'<G^!\37;>E?6PK&:U0@.GZC`M%1"D$73RH074<I
+M$%UWK)*HX+L>J[L/Q;%`EWFG`Y?9.IY#FI6PB-(YS#=IF-#-3I=H$1:;(>0/
+M?Y*$^<.7B,7S;[G!LUWB55'0`R%AG(=/;/L`X!M>LF0(YC)+F,GFK)B9ZS0R
+M"Y9GW.0Y0;Q$C#/SGI>F89A3:FP=AX5Y7&0(LS`5764Y2X$OPX+-(7M\9C/1
+M:,R&<),!7].2Q#^@3N910<ZLV.SZVX/#2Q3'\)(5*W$8T<,DWO3@<4VG@LCF
+M<?;""F.?PQB42P:3F^G]I^MKX(0892D=(I590B9ANJ;30[R0YJP,HY@;DO+^
+M&'A.E)<+.2:Q+1!E!!V1V]-G,5*3HM?,@L9#;QTMZED],:!O5W>W<'?U^:_+
+M^\GMS70(GN_)^&`,*UI8&,?5)&E>-#@&,(0GEK(BC,4[2'C$"5RYAOL$82TW
+M.:NV\!#X;E5[:(^>3`V;9EG?-30-1OM%Q70ZQYX[B8BG.-&_RAB[@17/J;."
+C)UBQ;!GO_G^L>$I6XIH7CU7Q'%USC;HZ/_L/ST62R7,+````
+`
+end
Index: Tst/Long/eco-sba_l.stat
===================================================================
--- Tst/Long/eco-sba_l.stat	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/eco-sba_l.stat	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,4 @@
+1 >> tst_memory_0 :: 1341315163:0- spielwiese :spielwiese:version:schosch:629219800
+1 >> tst_memory_1 :: 1341315163:0- spielwiese :spielwiese:version:schosch:648380416
+1 >> tst_memory_2 :: 1341315163:0- spielwiese :spielwiese:version:schosch:663381984
+1 >> tst_timer_1 :: 1341315163:0- spielwiese :spielwiese:version:schosch:240020
Index: Tst/Long/eco-sba_l.tst
===================================================================
--- Tst/Long/eco-sba_l.tst	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/eco-sba_l.tst	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,96 @@
+// $Id$
+
+// sba_s.tst -- long tests for sba
+// uses rcyclic examples from ISSAC'98 paper
+
+LIB "tst.lib";
+tst_init();
+
+LIB"poly.lib";
+
+proc econ(int n) {
+
+  int z = n-1;
+  ring R = 32003,(x(0..z)),dp;
+  
+  int m,j,k;
+  ideal i;
+  poly p;
+  p = 1;
+  for(m=0;m<=z-2;m++) {
+    p = p*x(m)*x(z);
+    k = 0;
+    for(j=m+1;j<=z-1;j++) {
+      p = p + x(k)*x(j)*x(z);
+      k++;
+    }
+    p = p - (m+1);  
+    i[m+1] = p;
+    p = 1;
+  }
+  i[n-1]  = x(z-1)*x(z)-(z);
+  p = 0;
+  for(m=0;m<=z-1;m++) {
+    p = p + x(m);
+  }
+  p = p + 1;
+  i[n] = p;
+
+        string bench = "ECO-"+string(z+1);
+  export(i);
+  export(R);
+
+  return(bench);
+}
+
+proc econh(int n) {
+
+  int z = n-1;
+  ring R = 32003,(x(0..z),h),dp;
+  
+  int m,j,k;
+  ideal i;
+  poly p;
+  p = 1;
+  for(m=0;m<=z-2;m++) {
+    p = p*x(m)*x(z)*h;
+    k = 0;
+    for(j=m+1;j<=z-1;j++) {
+      p = p + x(k)*x(j)*x(z);
+      k++;
+    }
+    p = p - (m+1)*h^3;  
+    i[m+1] = p;
+    p = 1;
+  }
+  i[n-1]  = x(z-1)*x(z)-(z)*h^2;
+  p = 0;
+  for(m=0;m<=z-1;m++) {
+    p = p + x(m);
+  }
+  p = p + h;
+  i[n] = p;
+
+        string bench = "ECO-"+string(z+1)+"-H";
+  export(i);
+  export(R);
+
+  return(bench);
+}
+
+string bench = econ(11);
+sprintf(bench);
+ideal f; 
+f = sba(i,0,1);
+killall;
+string bench = econh(11);
+sprintf(bench);
+ideal f; 
+f = sba(i,1,1);
+killall;
+
+tst_status(1);$
+LIB "poly.lib";
+killall();
+killall("proc");
+exit;
Index: Tst/Long/katsura-sba_l.res.gz.uu
===================================================================
--- Tst/Long/katsura-sba_l.res.gz.uu	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/katsura-sba_l.res.gz.uu	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,21 @@
+begin 664 katsura-sba_l.res.gz
+M'XL("([+\D\``VMA='-U<F$M<V)A7VPN<F5S`+6544\B,1#'W_T4$V)RB\(N
+MRX(*YD@\]2(YHQ?`%U],80?I6=I-VPWBY;[[35?HKGJ:^'"\P/;_G^GPFVEW
+M/#D;7@%`/(`H@MUANKLSWBRU0_"_D]#)9LKN3&B-A683A)+W8-%8`W.EG>;=
+MG<*=&S2@9^N9X#/`1[;,!"W,M5K"<#P^.?W2.X*,9:A]7+>RXT$(E\-O4*/=
+M0L&GM6.O'`Z`%N^XY#:H'^^X;Q@,X(%9DVO6=$6*4.(J-)99'W4T*'/WBMRU
+M3(GUR]QQJW3%<0B95K-M8AEP:>&I[G7B\]L_$"#Z.(>$K_!49NP6@N8$:T1*
+MTFZUDD;P&+3",)#U>KV19J7Y\#E+BDP`)_=F:S*6GE[A*3[&%GFG*&<+<M=^
+MG$S&-Z.39FW_6:G&M>,B#A\SI6TPJ@A)5>`585,ZVES+H-BD(E*I?_Q#!6Z[
+M]PK;XA6WI%7AEL3O<$N2C[DU%B_()=U7Y!9JJ>Z#DE^C4GMR^"F$^[7F13DB
+M2>\=CIWX'8Z=Y`..G6Z%8^>@Y-BA(E\5YP<QCBD!G;"]/3A5N4A!*@MS+E-(
+MUY(MZ;C15&NFUWW([GY2,\S==XXBO<U"HS:!YUK3J5VB,>P>GT^E61N+RSY$
+M!`\C3%'/HESR2&.F3&0R2K'B:#":&!N%832FXG+!=/1VDS[,F'15J0PEF`73
+MF(*:_L*9*U1@'ZX4F)S^EGL"JB3EFD2EUYOZMLEAQ86`E=(/;JSHMA#K!DQS
+M"TL7;81:H0ZW,8A@%PC#J_'DY/(2#&7D2M)X%<L^Y9+)G.;$75LI6L:%"3UV
+M&F63$78[]ZW:SD0<>U=OL)FU^;'O6)<NCSFUB2Z@@#?B1HM";\]'US`Z/[LY
+MG0ROK\9]:'EW_-(=?^QNTP5'()@01>>IO]1H!.C#/4K43+B+S"GN[!52?QO@
+M5NTZPV+>^V`V%'SJ9/#>H"VJDT8=1)JQTK>W]U89^:R=CS@V+[RO^R^2!Y\B
+C>?@IDD?_CV2O/+X'=,NYMY1[!^4FH)IV=_X"%UR/;6P'````
+`
+end
Index: Tst/Long/katsura-sba_l.stat
===================================================================
--- Tst/Long/katsura-sba_l.stat	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/katsura-sba_l.stat	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,4 @@
+1 >> tst_memory_0 :: 1341311886:0- spielwiese :spielwiese:version:schosch:925290168
+1 >> tst_memory_1 :: 1341311886:0- spielwiese :spielwiese:version:schosch:985059328
+1 >> tst_memory_2 :: 1341311886:0- spielwiese :spielwiese:version:schosch:1057931264
+1 >> tst_timer_1 :: 1341311886:0- spielwiese :spielwiese:version:schosch:16727
Index: Tst/Long/katsura-sba_l.tst
===================================================================
--- Tst/Long/katsura-sba_l.tst	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Long/katsura-sba_l.tst	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,50 @@
+// $Id$
+
+// sba_s.tst -- long tests for sba
+// uses rcyclic examples from ISSAC'98 paper
+
+LIB "tst.lib";
+tst_init();
+
+LIB"poly.lib";
+
+proc katsuran(int z)
+{
+   int n = z;
+   ring R = 32003,(x(0..(n))),dp;
+   ideal i = katsura(n);
+        string bench = "KATSURA-"+string(n);
+   export(R);
+   export(i);
+   return(bench);
+}
+
+proc katsuranh(int z)
+{
+   int n = z;
+   ring R = 32003,(x(0..(n)),h),dp;
+   ideal i = homog(katsura(n),h);
+        string bench = "KATSURA-"+string(n)+"-H";
+   export(R);
+   export(i);
+   return(bench);
+}
+
+string bench = katsuran(11);
+sprintf(bench);
+ideal f; 
+f = sba(i,1,0);
+f = sba(i,1,1);
+killall;
+string bench = katsuranh(11);
+sprintf(bench);
+ideal f; 
+f = sba(i,1,0);
+f = sba(i,1,1);
+killall;
+
+tst_status(1);$
+LIB "poly.lib";
+killall();
+killall("proc");
+exit;
Index: Tst/Short/sba_s.res.gz.uu
===================================================================
--- Tst/Short/sba_s.res.gz.uu	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Short/sba_s.res.gz.uu	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,42 @@
+begin 664 sba_s.res.gz
+M'XL("#.W\D\``W-B85]S+G)E<P"M65M/XS@4?N=76&BD36F;QG:N=$!B&593
+M+6)6E'G8'<VBT)II:)I$22HNJ_GO:^=BNXF383KP`*W/\>?O?.=2I\QO/LRN
+M``#P%$PFX-UL^>Y@7BTA'?#76&?F[,Z_S?0\R\%X#,(X^@9RDN49N(]39N/>
+M9N&]S4@&TL7S(@P6@#SYFR2D"_=IO`&S^?SL_#?/!8F?D)3OLZ03;1U<SGX'
+MA_0T/0SN#J?<XIP"NG@;1$&N#:8'["\X/:W(1>11SW(_Y][NJ<#T"LS#)`Z?
+M=S&A(;P@U$&2Q@NP]O-LF_J1%D0Y>!EP.]7E/_Z&"D-_F$<$3L"+0+0*0QI0
+MD:ZI!2/#P"/M23-T78L&@\%HF0AGIT19$C\$`?6NCJ:.PL<K?(J?+"]P[TBT
+M6%'OPS_/;N:?K\_&A\/2(N]#L-A'GI(XS;5KR8!E0R`9*NHDWZ:15APB&2G5
+M[_R-)"[R&K*M&KIA0](-PP[=,.[7;;3:40Y;#>56\2;^I@G]1A)W[/R4A,/#
+M\4=1(MCKT-&$'3J:N$='TY)T-&VAH^E4.I:-TZP^TY54-+T.%2W8I^(8-NK/
+MP@T5R[/E,K*L;NW._SZ_G)TKJ\]R.E2SO`[5;-BCFHTEU6Q3J&9;NZHUB\^V
+M)=ELIT,VV_N1;(WR<Z"R_+A\<O4Y^&<4W"T^Q^J0T7$Z9'2\'AE=*,GH(B&C
+MBRL9R2(N*R\:"-U<4\QGU]8K"5]H`%0;`>[J71J^[):=9S!/_@[5B)O1PV@M
+MO$Q=2"Q6B_/9)`<28'%T0D_E=*!1'$(_H;3-B3'=O#]Y&:/I9C@4<4$#E9EA
+M&Y.C)VTSH+]>!@+"+.UK:C?$JEVN,NB'D\T03A\8./VS"^[6:2_@P1`\:6MV
+MP$/C%&C4CNOA4*Q6W+[S!5,B"\9`HR</IEQ&""M:P1=J^,J<!)8KM@J!4'$N
+MQT=E&K[0E'X%U)%RI(5?4!W+=)%9:RTD079+:]C0&KEZ0XR-P,2[5##2)4_!
+M&)L5Q=WPL,W+$V*N>KO9+LX_B4Y[8>K5N\SB_%8S01-)Z]?2NF@(:!:Q*_L-
+MLJ'-HS(]WF_0,J1^6S4;#K(QSE_CCH:#Y6CN:+C=@07+><S?><J6@^4,;K0<
+MM'&[Y:!MM5NNG*^]+5=-VF;+':TX2#5:&TU7#]$?-)UCO;+I'$?5=-7P%#ES
+MH:+ICE;_8JGQ7-S9>*ZE:CS7V:EVU^MM/'H:XEL]V&X^#_^P^3RKI_F\73J>
+M)S<?SPLRH*KYD(%YJ2*CYZ[0:KZ=#SID.,H.1(:G[$`$18>@\BZN[$`$I>L6
+M@N*ZA=C5FS7`6KC22RU[H-'6)S2]Z_<G]I05QX#;/7&50.7P;`19W]S6XOQR
+MJF8)]<OOF^20]`EW/^74JFE*`>FCC1:,X,B0]KA-HYACJ)RCPFC(.\NI*AOE
+MG065=1#2QA_=CZY'!55AMKO#7<GQEO.W(]YRS+;B-5%/O*;9$Z]I]\1KNCWQ
+M6D9OO!92Q,N?"Z5X+;,G7LM6QFNU4BBQMHV>>.U6"N6=9D^\MMT;K^WVQ+N3
+M8,?H"=A!RH"=5@XEVDZKVB7:3BN'TDZW5>W23A?U!NR:BH"+RZ\4:WG7[8BU
+MO.ZV8O5:^9,8>ZU*EQA[K?S).UN5+N]T^V+%AFI6E1</$2PV>B85-I23"AL]
+MDPH;/9,*PYY)A6'/I,*P=U)A=@W^?C"9@*,C<!YOPR6(XAS<!]$2+)\C?Q,L
+M0!C<I7[Z?`R2V[_H'2R[_2,@X7(6+4FB9W&U]R)-Z6?!AF29_XV47UYESUE.
+M-L=@0A_VR(0L2;J8;*-@DI(DSB990E$>`Y*1R4V63W1],J=Z;T,_G2C/.08+
+M/V+<XH1$(%OY*5F"^.Z!+!C=D!R#JQAD6YHL]@Y0,LL@I<8X?:XHUOC@D8GQ
+M&*=K=J=,2!H^C\#=EE[NV.XLC!])JM=["`'YBH#9U?SF[/(29!0QB"/Z45@L
+M<\B-'VU9KMFQ)/>#,-,/JH=5?/#/Q?4G<'WQX?/YS>S3U?P8&/LOU:#CCV\*
+M6W^M\[9D.>H;LV67H[V90M52@;@_2R5FE2KSE>X_!ZKB^@NP=:849']!`8[Z
+MQLJR;.W-5+'1+!'WUU2)6:7*VI>HHUJJ0?=75`E;9VIOLHIVQ`)U?[9*7):M
+MO9E"54K+FE+R5.;VM:A5NNRVT7W5$E9D"_,JL%5\?PFXSIB"\.O4]51+''7_
+M.E#BLISMS10ILHC*2:#DV9'AU^+6]RV'/U-C]CTC^P\=^S_<-M/HI>W=P?]=
+'QA0C:!P`````
+`
+end
Index: Tst/Short/sba_s.stat
===================================================================
--- Tst/Short/sba_s.stat	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Short/sba_s.stat	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,4 @@
+1 >> tst_memory_0 :: 1341306675:0- spielwiese :spielwiese:version:schosch:30889344
+1 >> tst_memory_1 :: 1341306675:0- spielwiese :spielwiese:version:schosch:31682560
+1 >> tst_memory_2 :: 1341306675:0- spielwiese :spielwiese:version:schosch:31827640
+1 >> tst_timer_1 :: 1341306675:0- spielwiese :spielwiese:version:schosch:126
Index: Tst/Short/sba_s.tst
===================================================================
--- Tst/Short/sba_s.tst	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
+++ Tst/Short/sba_s.tst	(revision 19609cce8ae122e920a77ead0ddc3ea3984ecc0d)
@@ -0,0 +1,182 @@
+// $Id$
+
+// sba_s.tst -- long tests for sba
+// uses rcyclic examples from ISSAC'98 paper
+
+LIB "tst.lib";
+tst_init();
+
+LIB"poly.lib";
+
+proc katsuran(int z)
+{
+   int n = z;
+   ring R = 32003,(x(0..(n))),dp;
+   ideal i = katsura(n);
+        string bench = "KATSURA-"+string(n);
+   export(R);
+   export(i);
+   return(bench);
+}
+
+proc katsuranh(int z)
+{
+   int n = z;
+   ring R = 32003,(x(0..(n)),h),dp;
+   ideal i = homog(katsura(n),h);
+        string bench = "KATSURA-"+string(n)+"-H";
+   export(R);
+   export(i);
+   return(bench);
+}
+
+proc cyclicn(int z)
+{
+   int n = z;
+   ring R = 32003,(x(0..(n-1))),dp;
+   ideal i = cyclic(n);
+        string bench = "CYCLIC-"+string(n);
+   export(R);
+   export(i);
+   return(bench);
+}
+
+proc cyclicnh(int z)
+{
+   int n = z;
+   ring R = 32003,(x(0..(n-1)),h),dp;
+   ideal i = homog(cyclic(n),h);
+        string bench = "CYCLIC-"+string(n)+"-H";
+   export(R);
+   export(i);
+   return(bench);
+}
+
+proc econ(int n) {
+
+  int z = n-1;
+  ring R = 32003,(x(0..z)),dp;
+  
+  int m,j,k;
+  ideal i;
+  poly p;
+  p = 1;
+  for(m=0;m<=z-2;m++) {
+    p = p*x(m)*x(z);
+    k = 0;
+    for(j=m+1;j<=z-1;j++) {
+      p = p + x(k)*x(j)*x(z);
+      k++;
+    }
+    p = p - (m+1);  
+    i[m+1] = p;
+    p = 1;
+  }
+  i[n-1]  = x(z-1)*x(z)-(z);
+  p = 0;
+  for(m=0;m<=z-1;m++) {
+    p = p + x(m);
+  }
+  p = p + 1;
+  i[n] = p;
+
+        string bench = "ECO-"+string(z+1);
+  export(i);
+  export(R);
+
+  return(bench);
+}
+
+proc econh(int n) {
+
+  int z = n-1;
+  ring R = 32003,(x(0..z),h),dp;
+  
+  int m,j,k;
+  ideal i;
+  poly p;
+  p = 1;
+  for(m=0;m<=z-2;m++) {
+    p = p*x(m)*x(z)*h;
+    k = 0;
+    for(j=m+1;j<=z-1;j++) {
+      p = p + x(k)*x(j)*x(z);
+      k++;
+    }
+    p = p - (m+1)*h^3;  
+    i[m+1] = p;
+    p = 1;
+  }
+  i[n-1]  = x(z-1)*x(z)-(z)*h^2;
+  p = 0;
+  for(m=0;m<=z-1;m++) {
+    p = p + x(m);
+  }
+  p = p + h;
+  i[n] = p;
+
+        string bench = "ECO-"+string(z+1)+"-H";
+  export(i);
+  export(R);
+
+  return(bench);
+}
+
+int k;
+for (k=3; k<=6; k++)
+{
+  string bench = cyclicn(k);
+  sprintf(bench);
+  ideal f; 
+  f = sba(i,1,0);
+  f = sba(i,1,1);
+  f = sba(i,0,0);
+  f = sba(i,0,1);
+  kill i,f,R,bench;
+  string bench = cyclicnh(k);
+  sprintf(bench);
+  ideal f; 
+  f = sba(i,1,0);
+  f = sba(i,1,1);
+  f = sba(i,0,0);
+  f = sba(i,0,1);
+  kill i,f,R,bench;
+  string bench = katsuran(k);
+  sprintf(bench);
+  ideal f; 
+  f = sba(i,1,0);
+  f = sba(i,1,1);
+  f = sba(i,0,0);
+  f = sba(i,0,1);
+  kill i,f,R,bench;
+  string bench = katsuranh(k);
+  sprintf(bench);
+  ideal f; 
+  f = sba(i,1,0);
+  f = sba(i,1,1);
+  f = sba(i,0,0);
+  f = sba(i,0,1);
+  kill i,f,R,bench;
+  string bench = econ(k);
+  sprintf(bench);
+  ideal f; 
+  f = sba(i,1,0);
+  f = sba(i,1,1);
+  f = sba(i,0,0);
+  f = sba(i,0,1);
+  kill i,f,R,bench;
+  string bench = econh(k);
+  sprintf(bench);
+  ideal f; 
+  f = sba(i,1,0);
+  f = sba(i,1,1);
+  f = sba(i,0,0);
+  f = sba(i,0,1);
+  kill i,f,R,bench;
+}
+
+tst_status(1);$
+LIB "poly.lib";
+killall();
+killall("proc");
+exit;