Index: kernel/ideals.cc
===================================================================
--- kernel/ideals.cc	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ kernel/ideals.cc	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -751,5 +751,6 @@
 ideal idLiftStd (ideal  h1, matrix* ma, tHomog hi, ideal * syz)
 {
-  int   i, j, k, t, inputIsIdeal=id_RankFreeModule(h1,currRing);
+  int  i, j, t, inputIsIdeal=id_RankFreeModule(h1,currRing);
+  long k;
   poly  p=NULL, q;
   intvec *w=NULL;
@@ -778,5 +779,5 @@
   SI_SAVE_OPT2(save2);
 
-  k=si_max(1,(int)id_RankFreeModule(h1,currRing));
+  k=si_max((long)1,id_RankFreeModule(h1,currRing));
 
   if ((k==1) && (!lift3)) si_opt_2 |=Sy_bit(V_IDLIFT);
Index: kernel/kstd1.cc
===================================================================
--- kernel/kstd1.cc	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ kernel/kstd1.cc	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -2156,6 +2156,5 @@
     w = &temp_w;
   }
-  if ((h==testHomog)
-  )
+  if (h==testHomog)
   {
     if (strat->ak == 0)
Index: kernel/kstdfac.cc
===================================================================
--- kernel/kstdfac.cc	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ kernel/kstdfac.cc	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -905,5 +905,5 @@
   strat->LazyDegree = 1;
   strat->ak = id_RankFreeModule(F,currRing);
-  if ((h==testHomog))
+  if (h==testHomog)
   {
     if (strat->ak==0)
Index: kernel/kutil.cc
===================================================================
--- kernel/kutil.cc	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ kernel/kutil.cc	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -5963,5 +5963,5 @@
     strat->syzl       = strat->syzmax = ps;
     strat->syzidxmax  = comp;
-#ifdef DEBUGF5 || DEBUGF51
+#if defined(DEBUGF5) || defined(DEBUGF51)
     printf("------------- GENERATING SYZ RULES NEW ---------------\n");
 #endif
@@ -8104,12 +8104,12 @@
       return r;
     }
-      ring res = rCopy0(r, FALSE, TRUE);
-      for (int i=1; i<n-1; i++)
-      {
-        res->order[i] = res->order[i-1];
-        res->block0[i] = res->block0[i-1];
-        res->block1[i] = res->block1[i-1];
-        res->wvhdl[i] = res->wvhdl[i-1];
-      }
+    ring res = rCopy0(r, FALSE, TRUE);
+    for (int i=1; i<n-1; i++)
+    {
+      res->order[i] = res->order[i-1];
+      res->block0[i] = res->block0[i-1];
+      res->block1[i] = res->block1[i-1];
+      res->wvhdl[i] = res->wvhdl[i-1];
+    }
 
     // new 1st block
@@ -8137,7 +8137,8 @@
     }
 #endif
-  strat->tailRing = res;
-  return (res);
-  }
+    strat->tailRing = res;
+    return (res);
+  }
+  
   // not incremental => use Schreyer order
   // this is done by a trick when initializing the signatures
@@ -8148,4 +8149,5 @@
   // => we do not need to change the underlying polynomial ring at all!
 
+  // UPDATE/NOTE/TODO: use induced Schreyer ordering 'IS'!!!!????
 
   /*
@@ -8244,4 +8246,7 @@
   }
   */
+  
+  assume(FALSE);
+  return(NULL);
 }
 
Index: libpolys/polys/monomials/ring.cc
===================================================================
--- libpolys/polys/monomials/ring.cc	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ libpolys/polys/monomials/ring.cc	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -4205,8 +4205,8 @@
       pFDeg_CASE(p_Deg); else
 #undef pFDeg_CASE
-      Print("(%p)", (void*)(r->pFDeg)); // default case
+      Print("(%p)", r->pFDeg); // default case
 
     PrintLn();
-    Print("pLDeg   : (%p)", (void*)(r->pLDeg));
+    Print("pLDeg   : (%p)", r->pLDeg);
     PrintLn();
   }
@@ -4220,5 +4220,5 @@
   else if (r->p_Setm==p_Setm_TotalDegree) PrintS("p_Setm_Totaldegree\n");
   else if (r->p_Setm==p_Setm_WFirstTotalDegree) PrintS("p_Setm_WFirstTotalDegree\n");
-  else Print("%x\n",r->p_Setm);
+  else Print("%p\n",r->p_Setm);
 }
 
Index: libpolys/polys/nc/ncSACache.h
===================================================================
--- libpolys/polys/nc/ncSACache.h	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ libpolys/polys/nc/ncSACache.h	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -25,5 +25,5 @@
     CCacheHash(ring r): m_basering(r), m_NVars(r->N){};
 
-    const ring GetBasering() const { return m_basering; };
+    ring GetBasering() const { return m_basering; };
     inline int NVars() const { return m_NVars; }
     
Index: libpolys/polys/nc/summator.cc
===================================================================
--- libpolys/polys/nc/summator.cc	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ libpolys/polys/nc/summator.cc	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -33,5 +33,5 @@
 
 CPolynomialSummator::CPolynomialSummator(const ring& rBaseRing, bool bUsePolynomial):
-    m_basering(rBaseRing), m_bUsePolynomial(bUsePolynomial)
+    m_bUsePolynomial(bUsePolynomial), m_basering(rBaseRing)
 {
 #ifdef RDEBUG
Index: libpolys/polys/sbuckets.h
===================================================================
--- libpolys/polys/sbuckets.h	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ libpolys/polys/sbuckets.h	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -74,9 +74,11 @@
 
 //////////////////////////////////////////////////////////////////////////
-///
+
 /// Merges p into Spoly: assumes Bpoly and p have no common monoms
-///
+/// destroys p!
 void sBucket_Merge_p(sBucket_pt bucket, poly p, int lp);
-// adds poly p to bucket
+
+/// adds poly p to bucket
+/// destroys p!
 void sBucket_Add_p(sBucket_pt bucket, poly p, int lp);
 
Index: libpolys/polys/simpleideals.cc
===================================================================
--- libpolys/polys/simpleideals.cc	(revision e12d106a70736a96de005699524e86b37b9e9c98)
+++ libpolys/polys/simpleideals.cc	(revision 30664c5b3e3d2f68b6afbb78f3f1798066c4f5b2)
@@ -720,20 +720,17 @@
   if (s!=NULL)
   {
-    int  j=0;
+    long  j=0;
 
     if (rRing_has_Comp(tailRing) && rRing_has_Comp(lmRing))
     {
-      int  l=IDELEMS(s);
       poly *p=s->m;
-      int  k;
-      for (; l != 0; l--)
+      for (unsigned int l=IDELEMS(s); l != 0; --l, ++p)
       {
         if (*p!=NULL)
         {
           pp_Test(*p, lmRing, tailRing);
-          k = p_MaxComp(*p, lmRing, tailRing);
+          const long k = p_MaxComp(*p, lmRing, tailRing);
           if (k>j) j = k;
         }
-        p++;
       }
     }
@@ -1206,5 +1203,5 @@
 {
   matrix result = mpNew(mod->rank,IDELEMS(mod));
-  long i,cp;
+  long i; long cp;
   poly p,h;
 