Index: Singular/LIB/standard.lib
===================================================================
--- Singular/LIB/standard.lib	(revision c860e90753c9024c2f5903c409b379238aaa2e55)
+++ Singular/LIB/standard.lib	(revision 36861edf6c7025f84372f1a254aefc05bb636749)
@@ -1,6 +1,6 @@
-// $Id: standard.lib,v 1.41 1999-08-19 13:49:39 obachman Exp $
+// $Id: standard.lib,v 1.42 1999-08-23 14:17:35 Singular Exp $
 //////////////////////////////////////////////////////////////////////////////
 
-version="$Id: standard.lib,v 1.41 1999-08-19 13:49:39 obachman Exp $";
+version="$Id: standard.lib,v 1.42 1999-08-23 14:17:35 Singular Exp $";
 info="
 LIBRARY: standard.lib   PROCEDURES WHICH ARE ALWAYS LOADED AT START-UP
@@ -441,11 +441,11 @@
 @code{nres} (classical method using syzygies) , see @ref{nres}.
 
-@item @strong{homogenous ideals and k == 0:} 
+@item @strong{homogenous ideals and k == 0:}
 @code{lres} (La'Scala's method), see @ref{lres}.
 
-@item @strong{not minimized resolution,  and, homogenous input with k != 0 or local rings:} 
+@item @strong{not minimized resolution,  and, homogenous input with k != 0 or local rings:}
 @code{sres} (Schreyer's method), see @ref{sres}.
 
-@item @strong{all other inputs:} 
+@item @strong{all other inputs:}
 @code{mres} (classical method), see @ref{mres}.
 @end table
@@ -466,5 +466,5 @@
 @c ref
 "
-{         
+{
    def P=basering;
    if (size(#) < 2)
@@ -472,16 +472,24 @@
      ERROR("res: need at least two arguments: ideal/module, int");
    }
-   
+
    def m=#[1]; //the ideal or module
    int i=#[2]; //the length of the resolution
    if (i< 0) { i=0;}
-     
+
    string varstr_P = varstr(P);
 
-   
+   int p_opt;
+   string s_opt = option();
+   // set p_opt, if option(prot) is set
+   if (find(s_opt, "prot"))
+   {
+     p_opt = 1;
+   }
+
    if(size(ideal(basering)) > 0)
    {
      // the quick hack for qrings - seems to fit most needs
      // (lres is not implemented for qrings, sres is not so efficient)
+     if (p_opt) { "using nres";}
      return(nres(m,i));
    }
@@ -493,4 +501,5 @@
       {
         //LaScala for the homogeneous case and i == 0
+        if (p_opt) { "using lres";}
         re=lres(m,i);
         if(size(#)>2)
@@ -503,8 +512,10 @@
         if(size(#)>2)
         {
+          if (p_opt) { "using mres";}
           re=mres(m,i);
         }
         else
         {
+          if (p_opt) { "using sres";}
           re=sres(std(m),i);
         }
@@ -520,4 +531,5 @@
       execute(ri);
       def m=imap(P,m);
+      if (p_opt) { "using mres in another ring";}
       list re=mres(m,i);
       setring P;
@@ -535,4 +547,5 @@
       def m=imap(P,m);
       m=std(m);
+      if (p_opt) { "using sres in another ring";}
       list re=sres(m,i);
       setring P;
@@ -546,4 +559,5 @@
    execute(ri);
    def m=imap(P,m);
+    if (p_opt) { "using mres in another ring";}
    list re=mres(m,i);
    setring P;
Index: Tst/Short/res_s.res.gz.uu
===================================================================
--- Tst/Short/res_s.res.gz.uu	(revision c860e90753c9024c2f5903c409b379238aaa2e55)
+++ Tst/Short/res_s.res.gz.uu	(revision 36861edf6c7025f84372f1a254aefc05bb636749)
@@ -1,80 +1,81 @@
-begin 644 res_s.res.gz
-M'XL("(`0O#<``W)E<U]S+G)E<P#M7%F/X\81?M>O:"SR0$4DEWWPT&XT0`X_
-M&'""(#:,`(9M:"2M1XZ.P9!:D?KUJ:IN-DF1''%V)_`1:L!F']57=?&K8G5S
-MOO[F;U_^@S'&[]A77_Z%O<G2S-]M[]^\GWQM2L0=@\P?MX=MYDS?3_#.[G1>
-MFBVS4^H?3YFEEG?L^)AMCP?G\>F83:MFU!U[^]84'8[9OS8_G7;+IVU6U&A"
-M'VB>MH>?V--"\OF<NT[FYF[A7MSSU'56[BZM44=(O5UOECNV7>1B5HCBXA9B
-M=A&7LYN)62[RPLWEK)"S3+IY<:FJQK6J4!=HH`K07<Z9>Y&S<Y:[9Z@%];&=
-MHJJ8U"OVU11=->=5S2Q;9")'*E'`*&'4F8!Q9X6XP"1H\!=(7L1YED,`26KR
-MC`V>A6V2!]ADMDDSA\<57SBO>OIFD69K)ZNM`Q=4:;O?/+$%XU6^)-YO4N<;
-M-W`S7JNAL"2U1:)61`NVMT6R5D2KXWW6S[8%RT52L3PLI`@"Z3IG+18@%.M'
-M]Z^U;I,[5HJ$S0/6\S,(PPS#"X8%ACF&.<5S9#V$%^&6M42`M50.A`JI)=41
-MN:XJ3%UA*M?J<:P7`5&(E(HZE'E96YCJHJQ?K:<0Y=A_IF7;PK24(Z9IZ*61
-MG_IIC`D_31R)-T=-4R><IG,G@D@,5P+7'"X>3#V/!Y[.P93)\SBO96):0#K2
-M40D,AV=V?5IE;`4/YN8)'M5W$5L]++>'6@Y7L1TQ/.V[;9JQGT$$%B0B/[L!
-M#-L1P=3A\ZGO\`2#>.I#&&$TA"C<%,8E90L*N<X/,#''(,$@IMR(0JP)DX9`
-M4EKH&A!^Q[^?.`JZE'.X$KB@GB,CB(1P85^2^I("DAPNZ,810"QP>"*&"`Y.
-M4!="05)B$J@%QTAM-C09F@M-YFHF-`^<!<X!IH`3H.'#Z!T:!_4PQ6%_)V#4
-MIF_L&COVL>>RXU:_V&W9*?59=DE\@RYUC]`A,@OZ<[`Q))M^)Z$SRK?9F*N^
-MMVNIRK7<;P\+N&@U(8#E_`B_;\W/1C`*?Z;$-A/>L4=X6#/G?I-E6P=;F[IO
-M*/$&FF+5+Z"04R@HE!2JR2!PH";>U=KPVB$1\7=]Q34B,81(UHDZ.B4B-80H
-M'$(4#1E3W";B+:*D321:1/.^EGA%Q(,^(KUV?-C:9<=LN7O7JAU2J$Q+I41%
-M-9#A"](V6T*93P7'M(F.J5?F-O`1TE!20B1&-4BF'2@9M%$RE",*_H90$)FW
-MG\QQ\5$V_!3,*!0,(SI>BG*`<E9*`Y=&*E*/<CVN!HJ&%!.<]/X#_":$H%R@
-MO()P&<D%DXND%WO`MCD(>9DV(QK64S+!&>\_3`8/+I@@-_;VX8NOX!R?P1'/
-M6T0CG@_'\Z2&YV)Q&/%\Q//_#9X/0G-?8WE88CG^#9(($=9@'%#\6X1Q:6%<
-M&A@W@HL@CG>_`G$CO8,Z4Y%&\D\'\GG-O!=U^Q[?YTLJ&;2M=S'"?8MHA/O!
-M<"_Y'?O/=K=CRX/U=$AQ]VK.(2F-<^AQ*2KO4.:>>CQ$4K4]1#)$GPT/,G$2
-MGCB'V4GDD8D4T4Q'+M&,0SX7,X'%!1#@76<7`"@"B77RPBN'D(Q\YG%H(CS1
-M[90K?2_,_:)F/%.G/*(;M(LW:B?G`891H>AV4;;-V&>8I9`:;D1=$#4,`=J%
-MQB]8=.%!-9`$9IDE,Y&I7&%84(C=YY";4SJG=`'I@F*7I*I/?K0PD^4\A)F'
-MF.EY0!HXF$=T*W`ZPLPCT=,0'DU#E"VJ0$]#Z&EH%A>)1[-`XD)GU0:A.'(S
-M(U[E`D-L%69!G2-K,U%02/,"NIPH8%Z"/&Z82V5%9-L4V&9!%-`CU+Y$58<2
-MN:8\@2Y;#&&Z@ART'+F(/CP/0JH+5`7%+LK*FU)=7CW0!)&7)KZ7SD$Y!:`E
-M/-11J)A0<^C7`1_?*4!K@2$$RH-((KS!/39ZA2=(H*9\[GDB(%K!/2&Z7'E<
-MM)1$9%UY*NQSY37,@;I=TVG67%LUUC:H&S5@G]1-A,'&"=E9#3-!CZ5F*-A1
-M5+9"PS*YLC7JID;5@#4I_,JF0$OCVF>FHGZ?6>DBL[37;U(O<HS=P.4;VO2&
-M'KVA06_HSK;6?(F^[-.4-:75U)$WM&-+Y?7KQ0Z-V&J<=W!-U(I[N<:IN(-K
-M];X[N,9KM<-GF<J?YQKOL"S*H;U4O4<4)A1**]!)GU_NX\>/%<*!Q3OW-,2E
-MGK'#&R"'Z0;,I27.I4V@2P<C7=L:CN<CD'4!F79[)?@^@B]*^+YLEB2D,,(E
-M``T%W$>F#WWS$/2J$M*2QB^K*FLO+6K^6=ZG$31'T+P>VB\,FF'0[_RRB%D9
-MA<\A9MH!F6DO9J8C:+XJ:";D4KS"3(7:#IWU&CDI!?"'ZX!+X`\'0FE]2Z\`
-MHR$?XOL)Q6?Y?D:P'<'V>FB_--A*XWIZ7%:G;$+U>KZG,#2^I_0<EKZGI7OO
-MKMRUNW$?6KZG,&K[GL(8G0_+>X_?"T^L-YY8/5CG0YA0X<H3]RN/;Y"@5CC'
-MPI4`@C40P+6I"J,`"L5J#870Y/W&XP^52RHB)\H:FEM!P?(!"![L(*..8TA"
-MZQ;?[,1(WVQ-:A\VP)-"2/70BF_<4T1;#W<ON3YEI'\1A=A43.QL8YI*VCLP
-MUE<1]1X[NJ&M?*.PC,HJ=V*,VM)ZJ]1<9C_&;,AH]57NR8".4*`D%&H)[$V!
-MGE"X(Z%`ERC41A*5ER2]*$DEF6T;G_9MS,:-W;GQ:>N&]FZH1ZT@?=J^,?LW
-M32V)2;VUU-B2,GM236WIFXV<YDY.R8FKW1P]?:,VRUF3ZHR@<@33BZ##$'1E
-M"!5#K!FBNL2^0J@8`B="Y$0(I"%R0I&%H(#:L,UO\`W+H.4ZXXAO3;;9W2[D
-MF$\L(Y[=VNTB7I6;3CXQJK'MU+?9U6-25#:!,6?0+#`[<_6ATO+6M^5H97L-
-MGY;=TS)[.K?&JLVXZZTQLG?`4+G:.VOLD876BQ4]<_*K.NM%Y[RJ@V`V8EMY
-MA8-?%(:#]B`,$%-S-W:1*HW3M##"9TG;>I,'/:2R1X\U*]RP0NI#:ELD?>&P
-M#1O#K);6#*M1FK&&IM5R47O/7EUK!#J>$AMM@"*;HA"#7@"Y-KNJ'5$;0Q4!
-M3P'MT7MF&]8S(:@+34N'8+S8%`^RA,-D5`JC4AB5PG"EH#V"2C^-^KP;/J*^
-M>=A]_:CJ4S;E#<IQR.;1EM/JYJ>1SA33\F8I2R@(IF5Y]1=[C23.+K4H0$'R
-M@J,:*JZ.:MB?U6V@R"*"+7.0S\S3#`-!K0Q][9VI#OYYZ-L>.(BY.8M'/2<E
-M?)HV>.`//(=DCG7P%_@"PIHO('J-`WU:58QZ^M>CIWO/U(UZ>M33HY[^G>II
-M9?6F5L]&(9.6]DO-RJ?5HVQUKU\]W-1&2TM[39W\0BUMP6'4TI^FI0>=UHQ?
-MX[2F5B>C+O_5Z/*X/#"9GD/KE(U?\<1D7)Z8?"I]UO6/K)L>Z[CCM&0<^BP7
-M9_Q4V7J4X\AGA<AG^+FRS8M]EN$WS**H\A*H:S[)KCJ9MSW.TI$EE"GR%!.B
-MP2,=`2AZ=*K?(_=S7'[+ZGD)7//.DV\=I[?M+D$2]'J3*UUB;(ZZR6$5KC4W
-M.JR-+JWA-Y0;Z0VJI56'WU!O_G,;GB\P`(RJ[3R8;_==.T_F^[>.YM_4L9T;
-MK<\IOFL'9<+['926IF/W\C=W<%WU$/6!W2V8BUI$'0!79\2-@^NR1M2_>:?;
-M^\23Y)H%<6WX]K1P(ON<D76PH+,/8`>$]KN?TFSP4A-!:<8=JV@:E78,_E(-
-M(2E@R+"7%I&,&/&+8X3V5T6EZ>>9G<E81Q*=;RQ`M.`&?_!EC-%)HC_?F?NF
-M`3K5P0<;E+S\<,><XQEH05Y]OI.HW\-WF".^/8MO89\39\2W_V]\^]VC6S3D
-M=3?I^(+BM_=QXHB!SV)@8EY^G^S;83)_O5??>>`S&^<^V^3+_>-NPT#2WD_>
-MO@7Q.JXPP3X\'?<@DO<LS9:']?)IC?\4;?+%O__\]W]^]<4[8(YY@0Y<QWQF
-MN'Y$`;3_CNSB%A<W_T%ZQ0\2"]:;#VRWL)`.,V(/Q_WQI\WA>$IUM7?LE$+7
-M.R":"&<?3"$`.)`8E12%=G;O6>,'[0#]<7?"?ZS&MBD['#-6;#(&#\=VO[UL
-MUA/#=;.R1@I8,'EB[$^>QZYNDXE^=LI:AEQ.:MU@'[9][&T"(ZL_FKNIR^QS
-MB6/<'AY/&<N.C#+9?EE`C!T_L*QXW-1FT/L,]XI:[[/:?C[U5'C[F2R/-`X7
-M86E&!0L"0%JM"4QUL]OL-X>,+5>K39K25+/E?S8L/>XW#/_QVN1'P/2%E_\1
-M%A]`?E901$PA7V"^,.E9(4J2"T7D%"5LL759/N,H5'6!8IK-/4*%+TN3CQ^_
-MY0Y9"(#3TD,383H4Z`-C:%,#TM-NF1=]#B)?>'CY6M9?+NFR(<A]`G]#[O5-
-MW11_#0AI'1'2&B*P!=ONEX_.D\NVTQY`V!U70$H--;HP:XBNJ<E@)J+Y`"LV
-M`#%J_"LG;^_`M-0PR-XMIRR5N,T=/4\CJ>QJM@"QK=GN7S1;+9R?,0%K9<S%
-;7:4BI%_[/Y?`T?=_F/".?W[Y7^+]Z)Q%4P``
+begin 640 res_s.res.gz
+M'XL("#%,P3<``W)E<U]S+G)E<P#M7.N/X[81_^Z_@CCT@UQ+.O&AA^_J!?K(
+MAP!I431!4"!(`J^MRSKU8[&2SY+_^LX,*4JRI+7V;HL\:B]$4>3P-1S^9C2D
+M]NMO_O;E/QAC_(Y]]>5?V)L\R_WMYO[-^\G7)D?<,4C\<;/?Y,[T_03O[$ZG
+M9?DR/V;^X9A;:GG'#H_YYK!W'I\.^;2N1MVQMV]-UOZ0_RO]Z;A=/FWRLD$3
+M^D#SM-G_Q)X6DL_GW'5RMW!+]^R>IJZS<K=9@SI"ZLTZ76[99E&(62G*LUN*
+MV5F<3VXN9H4H2K>0LU+.<ND6Y;DN&C>*0EF@@2)`=S[E[EG.3GGAGJ`4E,=Z
+MRKI@TBPX5%+TE9S7)?-\D8L"J40)O81>YP+ZG9?B#(.@SI_A\2Q.LP(">*0J
+M3UCA2=@J>8!5YFF6.SRN^<)YW=(WBRQ?.WEC'KB@0IM=^L06C-?IDGB?9LXW
+M;N#FO%%"84YFLT0CBR9L9[-D(XMFQ_NLGZT+IHND8KE?2!$$TG5.6BQ`*-:/
+M[E\;S29WK!()FP:LYR<0AAF&9PQ+#`L,"XH7R'H(S\*M2HD`2ZD""!522RHC
+M"EU4F++"%&Z4XU@N`J(0*14U*(NJM##%156^GD\AJK[_3-.V@6$I1TRST,LB
+M/_.S&!_\+'$DWAPUS9QPFLV=""(Q7`E<<[AX,/4\'G@Z!9],FL=Y(Q&?!3Q'
+M.BJ!X;!FU\=5SE:P,-,G6*KO(K9Z6&[VC12N8MMC6.W;39:SGT$$%B0B/[L!
+M=-L1P=3A\ZGO\`2#>.I#&&$TA"C<%,8E)0L*N4X/\&&.08)!3*D1A5@2!@V!
+MI&>A2T#X'?]^XBAH4L[A2N""<HZ,(!+"A6U):DL*>.1P03..`&*!W1,Q1+!S
+M@IH0"AXE/@*UX!AIC(8&0V.AP5R,A,:!H\`QP!!P`-1]Z+U#_:`6IMCM[P3T
+MVK2-36/#/K9<-=QI%YNM&J4VJR:);]"D;A$:1&9!>PY6AF33[R0T1NDV&5/5
+M]W8N5367N\U^`1?-)@0PG1_A]ZWYV0A&X<_DV&K"._8(BS5W[M,\WSA8V]1]
+M0P]OH"I6_P(*.86"0DFAFHP"!ZKB7:,.KQL2$7\WE-T@$F.(9).HIU$B4F.(
+MPC%$T9@^Q5TBWB%*ND2B0S0?JHG71#P8(M)SQ\?-77[(E]MWG=(AA<K45$E4
+MU``9OB!MLR&4^51PS-KHF'E5:@L?X1ER*HC$J`;)K`<E@RY*AO*&@K\A%$3F
+M[29SG'R4#3\#,PH%PXB.EZ$<H)Q5TL"ED8K,HU2/JY&B(<4$![W[`+\)(2@7
+M**\@7$9RP>0BZ<46L&X.0EX]FQZ-:RF9X(AW'R:C.Q=,D!L[N_CB"SC'-7C#
+M\P[1#<_'XWG2P'.QV-_P_(;G_QL\'X7FOL;RL,)R_!LE$2)LP#B@^+<(X]+"
+MN#0P;@0701SO?@WB1GI'-:8BC>2?#N3SAGDOFO8]OL]75#+H6N_B!O<=HAO<
+MCX9[R>_8?S;;+5ONK:=#BKM7<PY):9Q#CTM1>X=R]SC@(9*JZR&2(?IL>)"+
+MH_#$*<R/HHA,I(QF.G*.9AS2N9@)S"Z!`.\ZN01`$4BL'\^\=@C)R&<>ARK"
+M(]V.A=+WTMS/:L9S=2PBND&]>*-Z"AY@&)6*;F=EZXQ]ADD*J>%&U"510Q>@
+M7JC\C%EG'M0=26"4>3(3N2H4AB6%V'P!J04]%_1<PG-)L7-2ER<_6IC+:AS"
+MC$/,]#C@&3A81'0K<3C"C"/1PQ`>#4-4-:I`#T/H86@6EXE'HT#B4B<U.J$X
+M<C,G7A4"0ZP51D&-(VMS45)(XP*Z@BA@7((\;IA*>65DZQ189TD4T"*4/D=U
+M@Q*YICR!+EL,8;B"'+0<N8@^/`]"*@M4)<7.RLJ;4GU>/=`$D9<EOI?-03D%
+MH"4\U%&HF%!SZ-<!']\I0&N!(03*@T@BO,$]-GJ%)TB@IGSN>2(@6L$](?I<
+M>5QTE$1D77DJ''+EM<R!IEW3:]9<6C76-F@:-6"?-$V$T<8)V5DM,T'WI6$H
+MV%[4MD++,KFP-9JF1EV!-2G\VJ9`2^/29Z:B89]9Y2*SM)=O4B]RC%W!Y2O:
+M](H>O:)!K^C.KM9\B;X<TI0-I=76D5>T8T?E#>O%'HW8J9SW<$TTL@>YQBF[
+MAVO-MGNXQANEPV>9RI_G&N^Q+*JNO52]1Q0F%$HKT,F07^[CQX\UPH'%._<T
+MQ&6>L<-;((?/+9C+*IS+VD"7C4:ZKC4<SV]`U@=DVNV5X/L(OBCA^[*9DI#"
+M"*<`-!1P'YD^]LU#T*M*2%,:OZRH;+RTJ/EG>9]NH'D#S<NN_<*@&0;#SB^+
+MF+51^!QB9CV0F0UB9G8#S5<%S81<BA>8J5#;H;->(R<]`?SA/.`4^..!4%K?
+MTBO`:,C'^'Y"\5F^GQO8WL#VLFN_--A*XWIZ7-:G;$+U>KZG,#2^I^P45KZG
+MI7OOKMRUF[H/'=]3&'5]3V&,SH?EO<?OA2?6J2=6#];Y$":4N?+$_<KC*1(T
+M,N>8N1)`L`8"N-(Z,PH@4ZS6D`E5WJ<>?ZA=4A$Y4=90W0HRE@]`\&`[&?4<
+M0Q):M_AF)T;Z9FM2^[`!GA1"JH=6?.N>(=IZN'O)]2DC_8LHQ*IB8F<7TU32
+MW8&QOHIH\-C1%6WE&X5E5%:U$V/4EM9;E>8R^S%F0T:KKVI/!G2$`B6A4$M@
+M:PKTA,(="06Z1*$VDJB\).E%22K);-OXM&]C-F[LSHU/6S>T=T,M:@7IT_:-
+MV;]I:TE\U%M+K2TILR?5UI:^V<AI[^14G+C8S='#-VJS&C6IS@@*1S"\"!H,
+M05>&4##$DB&J2VPKA((A<")$3H1`&B(G%%D("J@-V_P6WS`/:FXRCOC69IO=
+M[4*.^<0RXMFUW2[B5;7IY!.C6MM.0YM=`R9%;1,8<P;-`K,SU^PJ36]S6XYF
+M=M#PZ=@]';.G=VNLWHR[W!HC>P<,E8N]L]8>66B]6-$S)[_JLUYTSJL^"&8C
+MMI97./A%83AJ#\(`,55W91>IUCAM"R-\EK2K-WDP0"H']%B[P!4KI-FEKD4R
+M%([;L#',ZFC-L.ZEZ6MH:JTF=?#LU:5&H.,IL=$&*+(9"C'H!9!KLZO:$[4Q
+M5!&P"FB/WC/;L)X)05UH6CH$X\4F>Y0E'"8WI7!3"C>E,%XI:(^@TJM1GW?#
+M)>J;Q>[KI:I/V50WR,<NFZ4MI_7-SR*=**;5S5)64!!,J_SZ+_9:CSBZS*(`
+M!<D+CFJHN#ZJ87]6MX$BBPBVS$$^,T[3#02U*O2U=Z8^^.>A;WMD)^;F+!ZU
+MG%3P:>K@@3_R')(YUL%?X`L(&[Z`Z#4.]&E5<=/3OQX]/7BF[J:G;WKZIJ=_
+MIWI:6;VIU;-1R*2E_4JS\FF]E*WN]>O%375TM+37ULDOU-(6'&Y:^M.T]*C3
+MFO%KG-;4ZN2FRW\UNCRN#DQFI]`Z9>-7/#$95R<FGRJ?=?,CZ[;'.NXY+1F'
+M/BO$"3]5MA[E./)9*8H9?JYLTV*?Y?@-LRCKM`3*FD^RZT;F78^S=&0%98H\
+MQ81HL*0C`$6/3O5[Y'Z.JV]9/2^!:]Y[\JWG]+;=)4B"06]RK4N,S=$T.:S"
+MM>9&C[71IS7\EG(CO4&EM.KP6^K-?V[#\P4&@%&UO0?S[;YK[\E\_]K1_*LZ
+MMG>C]3G%=^F@3/BP@]+2].Q>_N8.KJL!HB&PNP9S48>H!^":C+AR<%TVB(8W
+M[W1]GWB27+,@;G3?GA9.Y)`SL@D6=/8![(#0?O=3F0U>9B(HS;AC%4VCRH[!
+M7Z8A)`,,&??2(I(;1OSB&*']55%E^GEF9S+6D42G&PL0+;C1'WP98W22Z,]W
+MYKZI@$YU\-$&):\^W#'G>$9:D!>?[R3J]_`=Y@W?GL6W<,B)<\.W_V]\^]VC
+M6S3F=3?I^8+BM_=QX@T#G\7`Q+S\/MFWPV3^>J^^\\!G-LY]EA;+W>,V92!I
+M[R=OWX)X'5;XP#X\'78@DO<LRY?[]?)IC?\4;?+%O__\]W]^]<4[8(YY@0Y<
+MQWQFN'Y$`;3_CNSLEF>W^$%ZY0\2,];I![9=6$B'$;&'P^[P4[H_'#-=[!T[
+M9M#T%H@FQPSKIZAP=L$4`D`&B5%)4:AR^YZU?E`ET!^V1_P?:VR3L?TA9V6:
+M,U@GF]WFG*XG9@+,)!N!8,'DB;$_>1Z[N$TF>AE5I0RYG#2:P39L_=C:!'K6
+M7*7;J<OL$L4^;O:/QYSE!T:);+<L(<8.'UA>/J:-$0PNYT&I&URVW:6JA\*[
+MR[,ZW3A>FJ7I%4P(8&H])S#4=)ONTGW.EJM5FF4TU'SYGY1EAUW*\'^P37X$
+M>%]XQ1]!#@#O9R5%Q!32!:8+\SPK145RIHB<HK`M-BXK9ASEJRE;3+-Y0+YV
+MM7QA%`C9$F;Q(7TBH9Y\_/@M=\B.`#27'AH2T['J(##F.%4@/>V\>=%'(_*%
+M1YPOE\'+%X%LR?C06KBR)/1-75T9&C:R)FYD#=Q@"[;9+1^=)Y=MI@.PL3VL
+M@)0J:C5AIA<=6)/13-1RD/7)`=H?,)DC<*;!VHHO]@[\S`SO[-TRT5*)ZXS3
+M+##RS2X8`1C=8<0U.7^A2'_&V*P%,Q=WM?J1?N-_:`*SW_]APGO^L>9_`7*<
+&U->A4P``
 `
 end
Index: Tst/Short/res_s.stat
===================================================================
--- Tst/Short/res_s.stat	(revision c860e90753c9024c2f5903c409b379238aaa2e55)
+++ Tst/Short/res_s.stat	(revision 36861edf6c7025f84372f1a254aefc05bb636749)
@@ -1,11 +1,2 @@
 Status Output of tst_status.out
-init >> USER    :obachman
-init >> HOSTNAME:nepomuck.mathematik.uni-kl.de
-init >> uname -a:Linux nepomuck.mathematik.uni-kl.de 2.0.33 #1 Wed Jan 21 18:50:57 MET 1998 i686 unknown
-init >> date    :Thu Aug 19 16:11:11 MET DST 1999
-init >> version :1304
-init >> ticks   :100
-1 >> tst_memory_0 :: nepomuck.mathematik.uni-kl.de:539882
-1 >> tst_memory_1 :: nepomuck.mathematik.uni-kl.de:936226
-1 >> tst_memory_2 :: nepomuck.mathematik.uni-kl.de:856064
-1 >> tst_timer_1 :: nepomuck.mathematik.uni-kl.de:113
+init >> USER    :hannes